Description

When acquiring EMIRS telemetry frames over the UART interface in "frame sync" mode, occasionally frame sync gets lost and

doesn't reacquire frame lock.

History

#1 - 12/18/2017 07:55 AM - Greg Mathis

On 12-13-2017, changed the default UART timeout from 10 to 100 ms for the TLM UART. Ran the "tlmStuckTest.pl script to check for frame sync

failures. The test ran for almost 3 hours without a failure. With 10 ms timeout, the test would fail within minutes. This seems promising ...

#2 - 12/21/2017 09:14 AM - Greg Mathis

With UART timeout still set for 100 ms, ran the EM set up overnight, about 14 hours with no error.

Was also sending time update commands at 1Hz, 1 PPS, SC1 and SC2 Status commands at 1Hz, while recording raw telemetry. No apparent

problems.

#3 - 12/21/2017 09:25 AM - Greg Mathis

With UART timeout set back to 10 ms, and with LabVIEW set for "Realtime priorit" thru the Windows task manager, it still failed within a few minutes,

so changing priority didn't help.
